Bug 101776 - many floating point assist faults as web pages visited
many floating point assist faults as web pages visited
Status: CLOSED CANTFIX
Product: Red Hat Linux Beta
Classification: Retired
Component: mozilla (Show other bugs)
AS-beta1
ia64 Linux
medium Severity low
: ---
: ---
Assigned To: Christopher Aillon
http://www.redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-06 14:51 EDT by James D. Howard
Modified: 2007-06-09 19:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-09 19:03:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James D. Howard 2003-08-06 14:51:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ia64; en-US; rv:1.4) Gecko/20030709

Description of problem:
system log (viewed with 'dmesg') shows lots/repeated floating-point assist
faults as mozilla browser (mozilla-bin) runs.  (Often this is a case of
algorithms that generate and try to use IEEE floating point denormals.) 
Specifying flush-to-zero-upon-denormal on iA64 - either as a compile option or
as a floating point control setting - will reduce or eliminate these
time-consuming faults.

dmesg logged messages (q.v.) seem to identify a small number of oft-visited
locations in code that are generating/consuming the denormals:
   200000000015d291
   200000000015d301
   2000000000c90b01
   2000000000c90b31

Version-Release number of selected component (if applicable):
mozilla-1.4-3.0.11

How reproducible:
Always

Steps to Reproduce:
1. Install mozilla, set up needed proxys and visit some pages
2. Use "dmesg" or like to view system log, looking for
   "floating-point assist fault" messages
3. The messages include the IP at the offending fault
    

Actual Results:  messages in the message log, fp assist fault count in CPU goes up

Expected Results:  no messages, no time-consuming fault handling

Additional info:
Comment 1 James D. Howard 2003-08-06 14:56:31 EDT
Red Hat Enterprise Linux 3.0 beta 1 2.4.21-1.1931.2.349.2.2.ent
Comment 2 Sridharan 2005-01-18 04:32:52 EST
We get similar messages while running a FE simulation code called 
Abaqus/Standard. We feel that this leads to lot of performance issues 
of our program. Can some one suggest a fix for this? Re-compiling the 
source code is not an option (not in our hand)

Sridharan
Comment 3 Bill Nottingham 2006-08-07 11:45:00 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still running
Red Hat Linux, you are strongly advised to upgrade to a current Fedora Core
release or Red Hat Enterprise Linux or comparable. Some information on which
option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks. Please check if this
issue is still present in a current Fedora Core release. If so, please change
the product and version to match, and check the box indicating that the
requested information has been provided. Note that any bug still open against
Red Hat Linux by the end of 2006 will be closed as 'CANTFIX'. Thanks again for
your help.

Note You need to log in before you can comment on or make changes to this bug.